List documents
curl --request GET \
--url https://sacra.com/api/v1/documents/ \
--header 'Authorization: <api-key>'import requests
url = "https://sacra.com/api/v1/documents/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sacra.com/api/v1/documents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"id": 1835,
"slug": "owner",
"title": "Owner One-Pager",
"link": "https://sacra.com/f/3qM9xK2pR7vT8nL4cYwJ6aH1uB5dZ0eQ",
"web_url": "https://sacra.com/c/owner/",
"type": "company",
"date": "2026-01-13",
"published_at": "2026-01-13",
"created_at": "2025-03-10T20:42:33.911Z",
"updated_at": "2026-01-13T21:01:20.492Z",
"preview_meta": {
"title": "Owner",
"image": "https://sacra-logos.s3.us-east-2.amazonaws.com/company_logos/1486.png?v=3aa7b2f9",
"description": "Software suite for restaurants to manage online ordering, websites, marketing, and loyalty"
},
"companies": [
{
"id": 1486,
"domain": "owner.com",
"relation": "subject"
}
]
}
],
"pagination": {
"page_size": 30,
"current_page_items": 1,
"total_items": 1,
"next_link": null,
"prev_link": null,
"after_cursor": "Start",
"before_cursor": null
}
}Documents
List documents - Documents API
List documents globally or filter the collection by company.
GET
/
api
/
v1
/
documents
/
List documents
This endpoint always returns a
documents collection.
- Pass
company_domainorcompany_idto list documents related to one company. - Omit company filters and provide a date range to list documents globally.
Authorizations
Authenticate using one of two formats:
- Organization/user token:
Token <your-token> - Stytch JWT:
Bearer <your-jwt>
Query Parameters
Company domain to filter by (e.g. stripe.com).
Company ID to filter by.
ISO 8601 lower bound for created_at (inclusive).
ISO 8601 upper bound for created_at (inclusive).
Comma-separated internal document type filters (e.g. interview,document).
Cursor ID for forward pagination. Cannot combine with page_before.
Cursor ID for backward pagination. Cannot combine with page_after.
Items per page, 1-100. Default 30. Only for global queries.
ISO 8601 lower bound for updated_at (inclusive). Recommended for daily polling.
ISO 8601 upper bound for updated_at (inclusive). Recommended for daily polling.